package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.param.QwConfigSignatureParam;
import com.fs.qwApi.param.QwCustomerDetailParam;
import com.fs.qwApi.param.QwExternalContactHParam;

public interface IQwJsApiService {

     /**
     * 获取企业 签名
     */
     R getQwJsapiTicket(QwConfigSignatureParam qwConfigSignatureParam) throws Exception;

     /**
     * 根据跳转后 根据code获取到 userid和外部联系人id获取到客户详情
     */
     R getCustomerDetailsH5(QwCustomerDetailParam param);


     R getQwExternalContactDetails(QwExternalContactHParam param);
}
